pageTest {PMCMRplus} | R Documentation

## Page Rank Sum Test

### Description

Performs Page's ordered aligned rank sum test.

### Usage

    pageTest(y, ...)

    ## Default S3 method:
    pageTest(
      y,
      groups,
      blocks,
      alternative = c("two.sided", "greater", "less"),
      ...
    )

### Arguments

`y` | a numeric vector of data values, or a list of numeric data vectors.
`groups` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`blocks` | a vector or factor object giving the block for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`alternative` | the alternative hypothesis. Defaults to `two.sided`.
`...` | further arguments to be passed to or from methods.

### Value

A list with class `"htest"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  the estimated quantile of the test statistic.

p.value

  the p-value for the test.

parameter

  the parameters of the test statistic, if any.

alternative

  a character string describing the alternative hypothesis.

estimates

  the estimates, if any.

null.value

  the estimate under the null hypothesis, if any.

### References

Page, E. B. (1963) Ordered hypotheses for multiple treatments: A significance test for linear ranks, Journal of the American Statistical Association 58, 216–230.

Sachs, L. (1997) Angewandte Statistik. Berlin: Springer.

### See Also

`friedmanTest`

### Examples

    ## Sachs (1997), pp. 671 ff.
    ## 9 reviewers (blocks)
    ## assigned ranks to 4 objects (groups).
    data(reviewers)
    ## See Sachs (1997) p. 677
    pageTest(reviewers, alternative = "greater")

[Package PMCMRplus version 1.6.1 Index]